Page MenuHomePhabricator

High number of interlanguagelinks cta logs in eventlogging database
Closed, ResolvedPublic

Description

The eventlogging table ContentTranslationCTA_11616099 shows large number of records for the interlanguagelinks CTA. This is because of a bug in tooling. Every time the gray interlanguage links are rendered among the other links, event is fired. This will practically happen for most page views, result large number of records. We need to know whether users clicked on it or not.

Event Timeline

santhosh created this task.Feb 8 2016, 4:54 AM
santhosh claimed this task.
santhosh raised the priority of this task from to Normal.
santhosh updated the task description. (Show Details)
santhosh added a subscriber: santhosh.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 8 2016, 4:54 AM

Change 269084 had a related patch set uploaded (by Santhosh):
Log the interlanguagelink CTA shown even only when it is open

https://gerrit.wikimedia.org/r/269084

santhosh moved this task from Backlog to In Review on the LE-CX8-Sprint 2 board.Feb 8 2016, 4:57 AM
Amire80 moved this task from Needs Triage to CX8 on the ContentTranslation board.Feb 8 2016, 9:19 AM
Amire80 set Security to None.

Change 269084 merged by jenkins-bot:
Log the interlanguagelink CTA shown even only when it is open

https://gerrit.wikimedia.org/r/269084

Nikerabbit moved this task from In Review to QA on the LE-CX8-Sprint 2 board.Feb 12 2016, 7:05 AM
Amire80 moved this task from QA to Done on the LE-CX8-Sprint 2 board.Feb 15 2016, 7:24 PM
Amire80 added a subscriber: Amire80.

Verified in production. The number of logged interlanguagelink CTA events went sharply down since this was deployed, from about 200,000 per day to about 600.

Arrbee closed this task as Resolved.Feb 16 2016, 7:08 AM